Skip to main content
PATCH

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

postId
string
required

Body

application/json

Patch operations for post data and metadata fields.

Use set/delete operations to partially update fields:

  • set: Add or update key-value pairs
  • delete: Remove keys

At least one of data or metadata must be provided.

data
object

Patch operations for post data (custom posts only)

metadata
object

Patch operations for post metadata (all post types)

Response

Post Information

posts
object[]
postChildren
object[]
comments
object[]
users
object[]
roles
object[]
files
object[]
communities
object[]
communityUsers
object[]
categories
object[]
feeds
object[]
videoStreamings
object[]
videoStreamingChildren
object[]
rooms
object[]
roomChildrens
object[]
polls
object[]